
Installer - Bug #12492

Package foreman-selinux should be installed on SELinux capable systems

11/16/2015 07:47 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We currently do not install it at all it seems.

History

#1 - 11/16/2015 07:51 AM - Dominic Cleal

- Status changed from New to Need more information

It's installed from two places:

1) The foreman-installer RPM has it as a hard dependency.

2) puppet-foreman has an $selinux parameter, which installs it when SELinux is enabled (from facts).

https://github.com/theforeman/puppet-foreman/blob/5.0.1/manifests/params.pp#L59-L61

https://github.com/theforeman/puppet-foreman/blob/5.0.1/manifests/install.pp#L37-L42

#2 - 02/29/2016 08:30 AM - Lukas Zapletal

- Status changed from Need more information to Rejected

Oh thanks for explanation. Indeed that's sufficient.
